stages:
    - always-works-child1
    - make_ci_yml
    - check_ci_yml
    - parent
    - always-works-child2

variables:
    TEST:
        value: "test"
        description: "This is a test"

always-works-child1:
    stage: always-works-child1
    script:
        - exit 0

make_ci_yml:
    stage: make_ci_yml
    script:
        - cp child2.txt child2.yml
    artifacts:
        paths:
            - child2.yml

check_ci_yml:
    stage: check_ci_yml
    script:
        - cat child2.yml
    needs: ["make_ci_yml"]

parent:
    stage: parent
    trigger:
        include:
            - artifact: child2.yml
              job: make_ci_yml
        strategy: depend
    needs: ["make_ci_yml"]
        
always-works-child2:
    stage: always-works-child2
    script:
        - exit 0
